Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.operations
Class Div

    java.lang.Object
      org.apache.xpath.Expression
          org.apache.xpath.operations.Operation
              org.apache.xpath.operations.Div

All Implemented Interfaces:
  ExpressionNode, ExpressionOwner, java.io.Serializable, SourceLocator, XPathVisitable

public class Div
extends Operation

The 'div' operation expression executer.

See Also:
  Serialized Form

Constructor Summary
`Div()`

Method Summary
`double` | `num(XPathContext xctxt)` Evaluate this operation directly to a double.
`XObject` | `operate(XObject left, XObject right)` Apply the operation to two operands, and return the result.

Methods inherited from class org.apache.xpath.operations.Operation
`callVisitors, canTraverseOutsideSubtree, deepEquals, execute, fixupVariables, getExpression, getLeftOperand, getRightOperand, setExpression, setLeftRight`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Div

    public Div()

Method Detail

### operate

    public XObject operate(XObject left,
                           XObject right)
                    throws TransformerException

  Apply the operation to two operands, and return the result.

  Overrides:
    `operate` in class `Operation`
  Parameters:
    `left` - non-null reference to the evaluated left operand.
    `right` - non-null reference to the evaluated right operand.
  Returns:
    non-null reference to the XObject that represents the result of the operation.
  Throws:
    `TransformerException`

### num

    public double num(XPathContext xctxt)
               throws TransformerException

  Evaluate this operation directly to a double.

  Overrides:
    `num` in class `Expression`
  Parameters:
    `xctxt` - The runtime execution context.
  Returns:
    The result of the operation as a double.
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.